# findAllConstraintArguments method

1. @override

List<Class> findAllConstraintArguments(

1. Class parentClass, [
2. bool declared = true

])
override

Retrieves all type arguments from all constraints applied to a class.

Parameters:

- `parentClass`: The class whose constraint arguments should be retrieved.
- `declared`: Whether to include inherited constraints (default: `true`).

Returns:

- A list of Class instances representing all constraint type arguments.

## Example

    final exampleClass = await loader.loadClass<MyClass>('package:example/test.dart.MyClass');
    final args = loader.findAllConstraintArguments(exampleClass);

## Implementation

    @override
    List<Class> findAllConstraintArguments(Class parentClass, [bool declared = true]) {
      _checkClosed();

      final cacheKey = "${_buildCacheKey(parentClass)}:constraintArguments:$declared";

      // Check cache first
      final cached = _constraintArgumentCache[cacheKey];
      if (cached != null) {
        _hitCount++;
        return List.from(cached);
      }

      _missCount++;

      // Compute classes
      final classes = _computeAllConstraintArguments(parentClass, declared);

      // Cache result
      _constraintArgumentCache[cacheKey] = classes;

      return List.from(classes.toSet().toList());
    }